Create an Elastic Endpoint rule exception list

POST /api/endpoint_list

Spaces method and path for this operation:

post /s/{space_id}/api/endpoint_list

Refer to Spaces for more information.

Create the exception list for Elastic Endpoint rule exceptions. When you create the exception list, it will have a list_id of endpoint_list. If the Elastic Endpoint exception list already exists, your request will return an empty response.

Responses

  • 200 application/json

    Successful response

    One of:

    Additional properties are NOT allowed.

  • 400 application/json

    Invalid input data

    One of:
  • 401 application/json

    Unsuccessful authentication

    Hide response attributes Show response attributes object
    • error string Required
    • message string Required
    • statusCode integer Required
  • 403 application/json

    Insufficient privileges

    Hide response attributes Show response attributes object
    • error string Required
    • message string Required
    • statusCode integer Required
  • 500 application/json

    Internal server error

    Hide response attributes Show response attributes object
    • message string Required
    • status_code integer Required
POST /api/endpoint_list
curl \
 --request POST 'https://<KIBANA_URL>/api/endpoint_list' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "summary": "Endpoint exception list already exists (empty response)",
  "value": {}
}
{
  "created_at": "2025-01-01T00:00:00.000Z",
  "created_by": "elastic",
  "description": "Endpoint Security Exception List",
  "id": "2e23a8c4-ef7e-4c10-adfa-3eae4e4b4b8b",
  "immutable": false,
  "list_id": "endpoint_list",
  "name": "Endpoint Security Exception List",
  "namespace_type": "agnostic",
  "os_types": [],
  "tags": [],
  "tie_breaker_id": "e3c5a8e0-5b6a-4b4b-8b3a-2e23a8c4ef7e",
  "type": "endpoint",
  "updated_at": "2025-01-01T00:00:00.000Z",
  "updated_by": "elastic",
  "version": 1
}